# This is the main configuration file for the application.
# ~~~~~

# Secret key
# ~~~~~
# The secret key is used to secure cryptographics functions.
# If you deploy your application to several instances be sure to use the same key!
application.secret = "%APPLICATION_SECRET%"

# The application languages
# ~~~~~
application.langs = "en"
api.version = "1.0"

# Global object class
# ~~~~~
# Define the Global object class for this application.
# Default to Global in the root package.
# application.global=Global

# Router
# ~~~~~
# Define the Router object to use for this application.
# This router will be looked up first when the application is starting up,
# so make sure this is the entry point.
# Furthermore, it's assumed your route file is named properly.
# So for an application router like `my.application.Router`,
# you may need to define a router file `conf/my.application.routes`.
# Default to Routes in the root package (and conf/routes)
# application.router=my.application.Routes

# Database configuration
# ~~~~~
# You can declare as many datasources as you want.
# By convention, the default datasource is named `default`
#
# db.default.driver=org.h2.Driver
# db.default.url="jdbc:h2:mem:play"
# db.default.user=sa
# db.default.password=""

play.db.pool=bonecp
play.db.prototype.bonecp.maxConnectionsPerPartition = 5
play.db.prototype.bonecp.minConnectionsPerPartition = 1
db.default.driver = ${?DATABASE_DRIVER}
db.default.url = ${?DATABASE_URL}"?ApplicationName="${?APPLICATION_NAME}" : integration-engine-service"
db.default.username = ${?DATABASE_USER}
db.default.password = ${?DATABASE_PASSWORD}
db.default.logStatements=true

# Evolutions
# ~~~~~
# You can disable evolutions if needed
# evolutionplugin=disabled
play.evolutions.db.default.driver = ${?DATABASE_DRIVER}
play.evolutions.db.default.url = ${?DATABASE_URL}"?ApplicationName="${?APPLICATION_NAME}" : integration-engine-service"
play.evolutions.db.default.username = ${?DATABASE_USER}
play.evolutions.db.default.password = ${?DATABASE_PASSWORD}
play.evolutions.autoApply=true

play.modules {
  enabled += "util.database.EvolutionsModule"
  disabled += "play.api.db.evolutions.EvolutionsModule"
}

# Logger
# ~~~~~
# You can also configure logback (http://logback.qos.ch/),
# by providing an application-logger.xml file in the conf directory.

# Root logger:
logger.root = ERROR

# Logger used by the framework:
logger.play = ERROR
logger.com.jolbox.bonecp = ERROR

# Logger provided to your application:
logger.application = ERROR

ws.compressionEnabled = true
ws.timeout.idle = 900000

sieau {
  user = ${?APPLICATION_NAME}
  version = "1.0"
  service = "integration-engine-service"
}